(function (Drupal, once) {
    Drupal.behaviors.selectAllCheckboxes = {
      attach: function (context) {
        const checkboxes = once('selectAll', '.select-all', context);
  
        checkboxes.forEach(function (checkbox) {
          checkbox.addEventListener('click', function () {
            const isChecked = this.checked;
            const termCheckboxes = context.querySelectorAll('input[name^="select["]');
            termCheckboxes.forEach(function (termCheckbox) {
              termCheckbox.checked = isChecked;
            });
          });
        });
      }
    };
  })(Drupal, once);
  